Skip to content

Import bulk translation files into Vault.

While an exported bulk translation file can contain only one (1) language, your import file may include multiple languages. Vault reads the language value separately for each row and applies any new translations immediately. Vault ignores any rows without changes. Learn more about the translation file schema in Vault Help.

You must have the Admin: Language: Edit permission to import a bulk translation file to Vault.

Upload the CSV file to your Vault’s file staging before making this request.

  • The maximum CSV input file size is 1GB.
  • The values in the input must be UTF-16 encoded and tab-delimited.
POST/api/{version}/messages/{message_type}/actions/import
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
NameDescription
{message_type}The message type name: field_labels__sys, system_messages__sys, notification_template_messages__sys, or user_account_messages__sys.
NameDescription
file_pathsA comma-separated list of the file paths of the CSV files on file staging. Cannot contain ../ or any other path traversal directives. If any of the provided filenames are invalid, the entire request fails to send.
curl --location 'https://myvault.veevavault.com/api/v26.1/messages/field_labels__sys/actions/import' \ --header 'Authorization: {SESSION_ID}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data-urlencode 'file_paths=PromoMats_French_Field-Labels.csv, PromoMats_English_Field-Labels.csv'
{ "responseStatus": "SUCCESS", "data": { "url": "/api/v26.1/services/jobs/902601", "jobId": "902601" } }

On SUCCESS, the response includes the job_id which allows you to: